git-secret-scanner
=====================



[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)

<!-- toc -->
* [Installation](#installation)
* [Commands](#commands)
<!-- tocstop -->
# Installation
<!-- usage -->
```sh-session
$ npm install -g git-secret-scanner
$ git-secret-scanner COMMAND
running command...
$ git-secret-scanner (-v|--version|version)
git-secret-scanner/0.1.0 darwin-x64 node-v12.14.1
$ git-secret-scanner --help [COMMAND]
USAGE
  $ git-secret-scanner COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`git-secret-scanner help [COMMAND]`](#git-secret-scanner-help-command)
* [`git-secret-scanner scan [DIR]`](#git-secret-scanner-scan-dir)

## `git-secret-scanner help [COMMAND]`

display help for git-secret-scanner

```
USAGE
  $ git-secret-scanner help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v3.2.0/src/commands/help.ts)_

## `git-secret-scanner scan [DIR]`

scans local git repositories for committed secrets

```
USAGE
  $ git-secret-scanner scan [DIR]

OPTIONS
  -h, --help    show CLI help
  -p, --pull    pull from repositories
  -r, --redact  redact all matched secret strings

EXAMPLE
  $ git-secret-scanner scan ~/code/github.com/my-org -r
```

_See code: [src/commands/scan.ts](https://github.com/jsdtaylor/git-secret-scanner/blob/v0.1.0/src/commands/scan.ts)_
<!-- commandsstop -->
* [`git-secret-scanner scan DIR`](#git-secret-scanner-scan)

## `git-secret-scanner scan DIR`

Scans local git repositories for committed secrets

```
USAGE
  $ git-secret-scanner scan [DIR]

OPTIONS
  -h, --help    show CLI help
  -p, --pull    pull from repositories
  -r, --redact  redact all matched secret strings

EXAMPLE
  $ git-secret-scanner scan ~/code/github.com/my-org -r
  info: [ AWS_SECRET_ACCESS_KEY ] in .env on line 198
  info: [ AWS_ACCESS_KEY_ID ] in .env on line 42
```
